How Do You Troubleshoot Errors Such as “/lib64/libcurl.so.4: no version information available”?

Problem scenario
You try to run an obs command. You get errors like these:

var/lib/snapd/snap/obs-studio/1195/usr/bin/obs: /lib64/libcurl.so.4: no version information available (required by /var/lib/snapd/snap/obs-studio/1195/usr/bin/obs)
/var/lib/snapd/snap/obs-studio/1195/usr/bin/obs: symbol lookup error: /var/lib/snapd/snap/obs-studio/1195/usr/bin/obs: undefined symbol: obs_get_module_lib

What should you do?

Solution

  1. Back up the /lib64/libcurl.so.4 to a user's home directory (just in case).
  2. Run this:
    sudo find / -name libcurl.so.4 | grep -i obs
  3. Copy one of the files found above to /lib64/

Leave a comment

Your email address will not be published.